@import url('https://fonts.googleapis.com/css2?family=Playwrite+NO:wght@100..400&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Playwrite+NO:wght@100..400&family=Bree Serif:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&family=Titan+One&display=swap');

:root {  
  --cor-primaria: #722E43;  
  --cor-secundaria: #B44A60;  
  --cor-terciaria: #CC7F91;  
  --cor-quaternaria: #EADFDB;  
  --cor--ligth: #ffff;
  --cor-dourado: #8b7355;
  --cor--black: #333;
}  


html {
  box-sizing: border-box;
}

*, *::before, *::after {
  box-sizing: inherit;
}

body {
  margin: 0;
  padding: 0;
  font-family: Arial, sans-serif;
  line-height: 1.6;
  background-color: var(--cor-quaternaria);
  color: var(--cor-primaria);
  overflow-x: hidden;
}

.navbar-scroll .nav-link,
.navbar-scroll .navbar-toggler-icon,
.navbar-scroll .navbar-brand {
  color: #fff;
}

.navbar-scrolled .nav-link,
.navbar-scrolled .navbar-toggler-icon,
.navbar-scrolled .navbar-brand {
  color: #fff;
}

.navbar-scroll,
.navbar-scrolled {
  background-color: #cbbcb1;
}

.mask-custom {
  backdrop-filter: blur(5px);
  background-color: rgba(255, 255, 255, 0.15);
}

.navbar-brand {
  font-size: 1.75rem;
  letter-spacing: 3px;
}

.logo {
  width: 60px;
}

.nav-link {
  text-transform: uppercase;
}

h1 {
  margin-top: 40px;
  color: var(--cor-primaria);
  font-family: 'Poppins', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
  font-size: 2rem;
}

.h2, .h3 {
  margin-top: 10px;
  margin-bottom: 10px;
  color: var(--cor-primaria);
  font-family: "Bree Serif", sans-serif;
  font-weight: 400;
  font-style: normal;
}

p {
  color: var(--cor-primaria);
  font-family: "Poppins", sans-serif;
  font-weight: 400;
  font-style: normal;
}

.text-p {
  color: var(--cor--black);
  font-family: "Poppins", sans-serif;
  font-weight: 400;
  font-style: normal;

}

.image-date{
  color: var(--cor-primaria);
  font-family: "Poppins", sans-serif;
  font-weight: 400;
  font-style: normal;

}

.span1 {
  color: var(--cor-primaria);
}

.span2 {
  color: var(--cor--ligth);
}

.img-top {
  background-image: url('../img/salao-1.jpg');
  background-size: cover;
  background-position: center;
  height: 90vh;
  margin: 0;
}

.efeito-vidro {
  background: rgba(255, 255, 255, 0.35);
  box-shadow: 0 8px 32px 0 rgba(31, 38, 135, 0.37);
  backdrop-filter: blur(13.5px);
  -webkit-backdrop-filter: blur(13.5px);
  border-radius: 10px;
  border: 1px solid rgba(255, 255, 255, 0.18);
}

.button-container {
  display: flex;
  justify-content: center;
  align-items: center;
  margin: 30px 0;
}

.btn-77,
.btn-77 *,
.btn-77 :after,
.btn-77 :before,
.btn-77:after,
.btn-77:before {
  border: 1 solid;
  box-sizing: border-box;
}

.btn-77 {
  -webkit-tap-highlight-color: transparent;
  -webkit-appearance: button;
  background-color: var(--cor-primaria);
  background-image: none;
  color: #fff;
  cursor: pointer;
  font-family: ui-sans-serif, system-ui, -apple-system, BlinkMacSystemFont,
    Segoe UI, Roboto, Helvetica Neue, Arial, Noto Sans, sans-serif,
    Apple Color Emoji, Segoe UI Emoji, Segoe UI Symbol, Noto Color Emoji;
  font-size: 100%;
  line-height: 1.5;
  margin: 30px;
  -webkit-mask-image: -webkit-radial-gradient(#000, #fff);
  padding: 0;
}

.btn-77:disabled {
  cursor: default;
}

.btn-77:-moz-focusring {
  outline: auto;
}

.btn-77 svg {
  display: block;
  vertical-align: middle;
}

.btn-77 [hidden] {
  display: none;
}

.btn-77 {
  -webkit-animation: pulse 2s infinite;
  animation: pulse 2s infinite;
  border: 1px solid;
  border-radius: 999px;
  box-shadow: 0 0 0 2em transparent;
  box-sizing: border-box;
  display: block;
  font-weight: 900;
  -webkit-mask-image: none;
  overflow: hidden;
  padding: 1.2rem 3rem;
  position: relative;
  text-transform: uppercase;
}

@-webkit-keyframes pulse {
  0% {
    box-shadow: 0 0 0 0 #fff;
  }
}

@keyframes pulse {
  0% {
    box-shadow: 0 0 0 0 #fff;
  }
}

.galeria {
  background-color: var(--cor-primaria);
}

.tabs {
  width: 100%;
  background: #EADFDB;
  padding: 20px;
}

.tab-header {  
  display: flex;  
  flex-wrap: wrap; /* Permite que as abas quebrem para a próxima linha em telas menores */  
  justify-content: center; /* Centraliza as abas */  
}  

.tab-button {  
  flex: 1 1 80px; /* Flexível, com largura mínima */  
  margin: 5px; /* Margem para espaçamento entre as abas */  
  padding: 10px 20px;
  background: #d4c3bc;
  border: none;
  cursor: pointer;
  border-radius: 5px;
  transition: all 0.3s;
} 

.tab-button.active {
  background: var(--cor-dourado);
  color: white;
}

.tab-content {
  display: none;
}

.tab-content.active {
  display: block;
}

.image-grid {
  display: grid;
  grid-template-columns: repeat(6, 1fr);
  gap: 20px;
  margin-top: 20px;
}

.image-card {
  background: white;
  padding: 10px;
  border-radius: 8px;
  box-shadow: 0 2px 4px rgba(0,0,0,0.1);
}

.carousel-caption {
  background: rgba(0,0,0,0.5);
  border-radius: 5px;
  padding: 10px;
}

.before-after-label {
  position: absolute;
  top: 10px;
  left: 10px;
  background: rgba(0,0,0,0.7);
  color: white;
  padding: 5px 10px;
  border-radius: 3px;
  z-index: 2;
}

.image-info {
  margin-top: 10px;
  text-align: center;
}

.carousel-item img {
  height: 200px;
  object-fit: cover;
  width: 100%;
}

.carousel-control-prev,
.carousel-control-next {
  width: 30px;
}

.carousel-indicators {
  margin-bottom: 0;
}

.services-image {
  width: 100%;
  margin-top: -80px;
  height: auto;
  box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
  transition: transform 0.3s ease;
}

.services-image:hover {
  transform: scale(1.02);
}

.booking-form {
  background-color: var(--cor--ligth);
  padding: 1rem;
  width: 93%;
  margin-right: 0px;
  margin-left: 3rem;
  border-radius: 10px;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.05);
}

.form-group {
  width: 100%;
}

@media (max-width: 767.98px) {
  .booking-form {
    margin-top: 2rem;
    padding: 1.5rem;
  }
  .services-image {
    margin-bottom: 2rem;
  }

  .services-image2 {
    width: 70%;
    margin-left: auto;
    margin-right: auto;
    margin-top: 1rem;
  }

  .services-image3 {
    width: 70%;
    margin-left: auto;
    margin-right: auto;
    margin-top: 1rem;
  }

  .services-image4 {
    width: 50%;
    margin-left: auto;
    margin-right: auto;
    margin-top: 1rem;
  }
}

@media (max-width: 991.98px) {  
  .navbar-nav {  
      flex-direction: column;  
  }  
  .navbar-toggler {  
      margin-bottom: 15px;  
  }  
}  


.btn-primary {
  background-color: var(--cor-secundaria);
  border: none;
  transition: all 0.3s ease;
}

.btn-primary:hover {
  background-color: var(--cor-secundaria);
  transform: translateY(-2px);
}

.form-control:focus, .form-select:focus {
  border-color: var(--cor-secundaria);
  box-shadow: 0 0 0 0.25rem rgba(13, 110, 253, 0.25);
}

.contact-container {
  background-color: #f8f9fa;
  padding: 2rem;
  border-radius: 10px;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.05);
}

.map-container {
  width: 100%;
  height: auto;
  margin-bottom: 1.5rem;
}

.map-container iframe {
  width: 100%;
  height: 300px;
  border-radius: 10px;
  box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
}

.contact-info h3 {
  font-size: 1.25rem;
  margin-bottom: 0.5rem;
}

.contact-info p {
  margin-bottom: 1rem;
}

@media (max-width: 767.98px) {
  .contact-container {
    padding: 1.5rem;
  }
  .navbar-nav {  
    flex-direction: column;  
  }  
  .navbar-toggler {  
    margin-bottom: 15px;  
}  
}  

.whatsapp-carousel-section {
  background-color: var(--cor-dourado);
}

.whatsapp-carousel {
  display: flex;
  animation: carousel 20s infinite linear;
}

.whatsapp-message {
  flex: 0 0 auto;
  margin-right: 1rem;
}

.message-container {
  background-color: #fff;
  border-radius: 10px;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
  display: flex;
  align-items: center;
  padding: 1rem;
  width: 300px;
}

.message-profile {
  margin-right: 1rem;
}

.message-direita {
  margin-right: 1rem;
}

.profile-image {
  width: 50px;
  height: 50px;
  border-radius: 50%;
}

.message-content {
  flex-grow: 1;
}

.message-text {
  font-size: 1rem;
  margin-bottom: 0.5rem;
}

.message-time {
  font-size: 0.875rem;
  color: #6c757d;
}

@keyframes carousel {
  0% {
    transform: translateX(0);
  }
  100% {
    transform: translateX(-100%);
  }
}

@media (max-width: 767.98px) {
  .message-container {
    width: 250px;
  }

  .profile-image {
    width: 40px;
    height: 40px;
  }

  .message-text {
    font-size: 0.875rem;
  }

  .message-time {
    font-size: 0.75rem;
  }
}

footer {
  background-color: var(--cor-primaria);
  color: white;
  text-align: center;
  padding: 5px 0;
}

.footer-content {
  max-width: 1200px;
  margin: 0 auto;
  color: var(--cor--ligth);
  margin-top: 5px;
}

.footer-p {
  color: var(--cor--ligth);
  margin-top: 5px;
}

.footer-p a. {
  text-decoration: none;
}

.copyright-text p {
  margin: 0;
  font-size: 14px;
  color: #fffcfc;
}

.copyright-text p a {
  color: var(--cor--ligth);
}

#subir {
  position: fixed;
  bottom: 0px;
  right: 0px;
}

.bi-arrow-up-circle-fill {
  font-size: 30px;
  color: var(--cor-quaternaria);
}

@media (max-width: 576px) { /* Para telas pequenas */  
  .tab-button {  
      flex: 1 1 100%; /* Abas ocupam 100% da largura no celular */  
  }  
  .booking-form {
    background-color: var(--cor--ligth);
    max-width: 100%;
    margin-right: 0.5rem ;
    margin-left: 0.5rem;
    border-radius: 10px;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.05);
  }  
  .form-group {
    width: 100%;
  }
  .carousel img {  
    max-width: 100%; /* Garante que a imagem não ultrapasse o contêiner */  
    height: auto; /* Mantém a proporção da imagem */  
  }
  .img-top{
    height: auto; /* Mantém a proporção da imagem */  

  }
 
  
}


